Kerbal Space Program - Bug #19492

VAB Custom Categories
08/07/2018 03:44 PM - mystifeid

Status: Being Worked On Start date: 08/07/2018
Severity: Low % Done: 30%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.4.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Creating and deleting a custom category creates an unwanted preface to GameData/Squad/PartList/PartCategories.cfg which
causes an extra variant theme button to appear. The extra button can be deleted but reappears upon re-entering the VAB

History

#1 - 08/07/2018 04:00 PM - 4x4cheesecake

Also, the extra 'VariantThemes' category does not contain a subcategory, so it becomes invalid.
Clicking on it results in a log entry:
Category has no subcategory. This is not supported.

When deleting the category via the ingame Ul, the log says:
UlList: Removeltem didn't find any item to remove.

#2 - 08/10/2018 04:04 PM - diomedea

- Status changed from New to Need More Info

Perhaps something is missing in the description of this issue: I'm not noticing any added variant theme button after creating and deleting a custom
category. Certainly a PartCategories.cfg is generated and still holds info after the custom category is deleted, but I'm failing to notice any effect in
game nor any stray button. Tested both with and without MH expansion.

#3 - 08/11/2018 07:00 PM - mystifeid
diomedea wrote:
Perhaps something is missing in the description of this issue: I'm not noticing any added variant theme button after creating and deleting a

custom category. Certainly a PartCategories.cfg is generated and still holds info after the custom category is deleted, but I'm failing to notice any
effect in game nor any stray button. Tested both with and without MH expansion.

After deleting the custom category please try exiting and re-entering the VAB. You can see a screenshot of the issue in the thread where this was first
reported here:

https://forum.kerbalspaceprogram.com/index.php ?/topic/177379-theres-a-second-variant-theme-button/

After deletion of a custom category, PartCategories.cfg retains the following

[code]
CUSTOM_PARTLIST_CATEGORY {
categoryName = VariantThemes
icon = stocklcon_variants

1
[/code]

#4 - 08/11/2018 08:40 PM - diomedea
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

mystifeid wrote:
https://forum.kerbalspaceprogram.com/index.php?/topic/177379-theres-a-second-variant-theme-button/

After deleting the custom category please try exiting and re-entering the VAB. You can see a screenshot of the issue in the thread where this
was first reported here:

https://forum.kerbalspaceprogram.com/index.php?/topic/177379-theres-a-second-variant-theme-button/

Thanks, that did the trick.

#6 - 10/25/2018 12:36 PM - diomedea
- Status changed from Confirmed to Being Worked On

- % Done changed from 10 to 30
